Skip to main content

Create Resident Payment: Rent Manager

POSThttps://api.propexo.com/v1/resident-payments/rentmanager/
Method
POST /Payments
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstring

    The Propexo unique identifier for the charge code

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    notesstringrequired

    Notes associated with the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

    allocate_prepaysboolean

    Whether to allocate prepays to the resident payment. This is a flag passed directly to Rent Manager

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    transaction_datestring<date-time>required

    The transaction date of the resident payment

    notesstringrequired

    Notes associated with the resident payment

    amount_in_centsintegerrequired

    The amount of the resident payment, in cents

    reference_numberstringrequired

    The reference number for the resident payment

    allocate_prepaysboolean | nullnullablerequired

    Whether to allocate prepays to the resident payment. This is a flag passed directly to Rent Manager

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-payments/rentmanager/
curl -X POST https://api.propexo.com/v1/resident-payments/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string",
"allocate_prepays": true
}
}